<?php
if(!isset($_SESSION)) {  session_start(); }
ob_start();
if(!isset($_SESSION["user_id"])){header("location:../logout.php");}
$father = $_SESSION["user_id"];
include "../actions/dbPDO.php";

$mat_name  = $_POST['mat_name'];
$phone     = $_POST['phone'];
$phone2    = $_POST['phone2'];
$address   = $_POST['address'];
$spcial    = $_POST['spcial'];
$vat_no    = $_POST['vat_no'];
$comm      = $_POST['comm'];

$Number ='/^[0-9]+(\.[0-9]{1,2})?$/' ;

if(empty($mat_name))
{
  echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b>من فضلك سجل اسم المورد على الاقل ليتم حفظ السجل  ...</b>
        </div> ";
  exit();
}else{
  if(!empty($mat_name)){  $mat_name = htmlspecialchars(strip_tags($mat_name)) ;}else{$mat_name = null ;}
if(!empty($phone)){
    if(!preg_match($Number,$phone)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> تأكد من الرقم !! $phone رقم جوال2 للمدير  أرقام فقط</b>
      </div> ";
      exit();
    }
    if((strlen($phone) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>انتبه من فضلك رقم الجوال اقل من 10 ارقام ..<b>
      </div>";
      exit();
    }
    if((strlen($phone) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>انتبه من فضلك رقم الجوال اكبر من 10 أرقام ..<b>
      </div>";
      exit();
    }

}else{$phone = null;}
if(!empty($phone2)){
    if(!preg_match($Number,$phone2)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> تأكد من الرقم !! $phone2 رقم جوال2  يجب ان يكون ارقام فقط</b>
      </div> ";
      exit();
    }
    if((strlen($phone2) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>انتبه من فضلك رقم الجوال اقل من 10 ارقام ..<b>
      </div> ";
      exit();
    }
    if((strlen($phone2) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>انتبه من فضلك رقم الجوال اكبر من 10 أرقام ..<b>
      </div>";
      exit();
    }

}else{$phone2 = null;}
if(!empty($spcial)){  $spcial = htmlspecialchars(strip_tags($spcial)) ;}else{$spcial = 'جميع السيارات';}
if(!empty($address)){  $address = htmlspecialchars(strip_tags($address)) ;}else{$address = 'جدة';}

  if(!empty($vat_no)){
      if(!preg_match($Number,$vat_no)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b> تأكد من الرقم !! $vat_no الرقم الضريبي أرقام فقط</b>
        </div> ";
        exit();
      }
      if((strlen($vat_no) > 15)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b> الرقم الضريبي 15 رقم أنتبه من فضلك ..<b>
        </div> ";
        exit();
      }
      if((strlen($vat_no) < 15)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b> الرقم الضريبي 15 رقم أنتبه من فضلك ..<b>
        </div>
        ";
        exit();
      }
     }else{$vat_no = null;}
     if(!empty($comm)){  $comm = htmlspecialchars(strip_tags($comm)) ;}else{$comm = null;}
    // existing mat_name in your database
$sql =$db->prepare("SELECT mat_supp_id , mat_name , phone , spcial FROM material_supp  WHERE mat_name = ? LIMIT 1");
$sql->bindParam(1,$mat_name);
$sql->execute();
  if($sql->rowCount()>0){$row = $sql->fetch(PDO::FETCH_ASSOC);
      $supp      = $row["mat_supp_id"];
      $mat_name  = $row["mat_name"];
      $phone     = $row["phone"];
      $spcial    = $row["spcial"];
  echo "
  <div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
  <b>تم تسجيل بيانات $mat_name  من قبل كود رقم $supp جوال  $phone تخصص $spcial</b>
  </div>
  ";
  exit();
}else {
  $maxsql= $db->prepare("SELECT max(mat_supp_id) as maxd FROM material_supp");
  $maxsql->execute();
  if($maxsql->rowCount()>0){$row = $maxsql->fetch(PDO::FETCH_ASSOC);
      $maxD = $row['maxd']+1;} else {$maxD = 1 ; }

  $sql = $db->prepare(" INSERT INTO material_supp
  (mat_supp_id , mat_name, phone , phone2, address, spcial, comm ,father, vat_no)
   VALUES (?, ?, ?, ?, ?, ? , ?, ? , ?)");
   $sql->bindParam(1,$maxD);
   $sql->bindParam(2,$mat_name);
   $sql->bindParam(3,$phone);
   $sql->bindParam(4,$phone2);
   $sql->bindParam(5,$address);
   $sql->bindParam(6,$spcial);
   $sql->bindParam(7,$comm);
   $sql->bindParam(8,$father);
   $sql->bindParam(9,$vat_no);
 if($sql->execute()){
echo "
    <div class='alert alert-success'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>تم تسجيل المورد او الورشة بنجاح ...</b>
    </div>
    <script>document.getElementById('new_item').reset(); </script>
    ";}
  else{ echo "<div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
  </div>
  ";}
}
}
?>
